/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 7 mai 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package controls;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.JOptionPane;

import program.LyceenneMakerJ;

/**
 * Performs change to the character if character's age is changed in OverviewPanel.
 * @author milena
 *
 */
public class AgeActionListener implements ActionListener {
	
	public AgeActionListener(){
		super();
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		JComboBox cb = (JComboBox) e.getSource();
		int age = Integer.parseInt((String) cb.getSelectedItem());
		if(age != LyceenneMakerJ.getCurrentCharacter().getAge())	{
			//warning is useless if there is no "previous" button yet
//			int confirm = JOptionPane.showConfirmDialog(cb, "Attention, modifier l'âge réinitialisera tous les talents !\n Continuer ?", "Attention", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
			if(JOptionPane.YES_OPTION == JOptionPane.YES_OPTION)	{	//YES
				LyceenneMakerJ.getCurrentCharacter().setAge(age);
				if(age <= 15)	{
					LyceenneMakerJ.setTotalGenerationPoints(8);
				}else if(age >= 18)	{
					LyceenneMakerJ.setTotalGenerationPoints(12);
				}else	{
					LyceenneMakerJ.setTotalGenerationPoints(10);
				}
				LyceenneMakerJ.getCurrentCharacter().resetAllAbilityBonuses();
			}else	{	//NO
				cb.setSelectedItem(Integer.toString(LyceenneMakerJ.getCurrentCharacter().getAge()));
			}
		}
	}

}
