/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 11 mai 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package controls;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.JOptionPane;

import program.LyceenneMakerJ;
import views.CharacteristicsPanel;

/**
 * Performs changes in character if characteristics are changed in CharacteristicsPanel.
 * @author milena
 *
 */
public class CharacsActionListener implements ActionListener {

	private CharacteristicsPanel charPanel;
	
	/**
	 * Constructor
	 * @param charPanel the CharacteristicsPanel calling
	 */
	public CharacsActionListener(CharacteristicsPanel charPanel) {
		super();
		this.charPanel = charPanel;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		JComboBox cb = (JComboBox) e.getSource();
		int newScore = Integer.parseInt((String) cb.getSelectedItem());
		String modifiedCharac = null;
		if(cb == charPanel.getPhysics())	{
			modifiedCharac = "PHY";
		}else if(cb == charPanel.getDexterity())	{
			modifiedCharac = "DEX";
		}else if(cb == charPanel.getIntelligence())	{
			modifiedCharac = "INT";
		}else if(cb == charPanel.getPerception())	{
			modifiedCharac = "PER";
		}else if(cb == charPanel.getCharisma()){
			modifiedCharac = "CHA";
		}else if(cb == charPanel.getSensitivity())	{
			modifiedCharac = "SEN";
		}
		int previousScore = LyceenneMakerJ.getCurrentCharacter().getCharacteristics().get(modifiedCharac);
		if(LyceenneMakerJ.getTotalCharacteristicPoints() + previousScore - newScore < 0)	{
			JOptionPane.showMessageDialog(charPanel, "Plus assez de points de caractéristiques !", "Impossible", JOptionPane.ERROR_MESSAGE);
			cb.setSelectedItem(Integer.toString(previousScore));
		}else	{
			LyceenneMakerJ.getCurrentCharacter().getCharacteristics().put(modifiedCharac, newScore);
			LyceenneMakerJ.setTotalCharacteristicPoints(LyceenneMakerJ.getTotalCharacteristicPoints() + previousScore - newScore);
			if("INT".equals(modifiedCharac))	{
				LyceenneMakerJ.setTotalMainAbilities(newScore);
			}
		}
		charPanel.getTotalCharacteristics().setText(Integer.toString(LyceenneMakerJ.getTotalCharacteristicPoints()));
		LyceenneMakerJ.getCurrentCharacter().recalcAllAbilities();
	}

}
