/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 13 mai 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package controls;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JOptionPane;

import program.LyceenneMakerJ;
import views.SecondWindow;
import views.ThirdWindow;

/**
 * Checks everything before passing on to third window.
 * @author milena
 *
 */
public class Next2ActionListener implements ActionListener {
	
	private SecondWindow secondWindow;

	/**
	 * Constructor
	 */
	public Next2ActionListener(SecondWindow secondWindow) {
		super();
		this.secondWindow = secondWindow;
	}

	/* (non-Javadoc)
	 * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
	 */
	public void actionPerformed(ActionEvent e) {
		JButton jb = (JButton) e.getSource();
		boolean alertsActive = false;
		if(LyceenneMakerJ.getTotalGenerationPoints() > 0){
			JOptionPane.showMessageDialog(jb, "Tous les points de génération n'ont pas été répartis !", "Attention", JOptionPane.WARNING_MESSAGE);
			alertsActive = true;
		}
		if(LyceenneMakerJ.getTotalMainAbilities() > 0)	{
			JOptionPane.showMessageDialog(jb, "Il reste des talents à sélectionner !", "Attention", JOptionPane.WARNING_MESSAGE);
			alertsActive = true;
		}
		if(alertsActive){
			int confirm = JOptionPane.showConfirmDialog(jb, "Il reste des données incomplètes ou modifiables.\n Continuer ?", "Attention", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE);
			if(confirm == JOptionPane.YES_OPTION){	//YES
				goToNextScreen();
			}else	{	//NO
				return;
			}
		}else	{
			goToNextScreen();
		}
	}
	
	/**
	 * Loads next screen.
	 *
	 */
	private void goToNextScreen()	{
		ThirdWindow thirdWindow = new ThirdWindow();
		secondWindow.setVisible(false);
	}

}
