/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 25 avr. 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package models;

/**
 * Defines a character's alignment.
 * @author milena
 *
 */
public class Alignment {
	private String name;
	private int minPositiveProfiles;
	private int maxPositiveProfiles;
	private int minNegativeProfiles;
	private int maxNegativeProfiles;
	
	public Alignment(String name, int minPositiveProfiles, int maxPositiveProfiles, int minNegativeProfiles, int maxNegativeProfiles)	{
		this.name = name;
		this.minPositiveProfiles = minPositiveProfiles;
		this.maxPositiveProfiles = maxPositiveProfiles;
		this.minNegativeProfiles = minNegativeProfiles;
		this.maxNegativeProfiles = maxNegativeProfiles;
	}
	
	public int getMaxNegativeProfiles() {
		return maxNegativeProfiles;
	}
	public void setMaxNegativeProfiles(int maxNegativeProfiles) {
		this.maxNegativeProfiles = maxNegativeProfiles;
	}
	public int getMaxPositiveProfiles() {
		return maxPositiveProfiles;
	}
	public void setMaxPositiveProfiles(int maxPositiveProfiles) {
		this.maxPositiveProfiles = maxPositiveProfiles;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}

	public int getMinNegativeProfiles() {
		return minNegativeProfiles;
	}

	public void setMinNegativeProfiles(int minNegativeProfiles) {
		this.minNegativeProfiles = minNegativeProfiles;
	}

	public int getMinPositiveProfiles() {
		return minPositiveProfiles;
	}

	public void setMinPositiveProfiles(int minPositiveProfiles) {
		this.minPositiveProfiles = minPositiveProfiles;
	}
	
	
}
