/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 7 mai 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package program;

import models.Config;
import views.FirstWindow;

/**
 * @author milena
 *
 */
public class LyceenneMakerJ {
	private static Config config;
	private static models.Character currentCharacter;
	private static int totalCharacteristicPoints = 35;
	private static int totalGenerationPoints;
	private static int totalMainAbilities;
	private static int totalSubjectPoints;
	private static int totalSubjects;
	private static FirstWindow firstWindow;
	
	/**
	 * Main method
	 * Initializes config and current character, then opens windows.
	 * @param args
	 */
	public static void main(String[] args) {
		try	{
			config = new Config();
			currentCharacter = new models.Character(config);
		}catch(Exception e)	{
			e.printStackTrace();
			return;
		}
		totalGenerationPoints = 8;
		totalMainAbilities = 0;
		totalSubjectPoints = 40;
		totalSubjects = 7;
		//opening first window
		firstWindow = new FirstWindow();
	}
	
	public static void reload()	{
		try	{
			config = new Config();
			currentCharacter = new models.Character(config);
		}catch(Exception e)	{
			e.printStackTrace();
			return;
		}
		totalGenerationPoints = 8;
		totalMainAbilities = 0;
		totalSubjectPoints = 40;
		totalSubjects = 7;
		firstWindow = new FirstWindow();
	}

	public static Config getConfig() {
		return config;
	}

	public static void setConfig(Config config) {
		LyceenneMakerJ.config = config;
	}

	public static models.Character getCurrentCharacter() {
		return currentCharacter;
	}

	public static void setCurrentCharacter(models.Character currentCharacter) {
		LyceenneMakerJ.currentCharacter = currentCharacter;
	}

	public static int getTotalCharacteristicPoints() {
		return totalCharacteristicPoints;
	}

	public static void setTotalCharacteristicPoints(int totalCharacteristicPoints) {
		LyceenneMakerJ.totalCharacteristicPoints = totalCharacteristicPoints;
	}

	public static int getTotalGenerationPoints() {
		return totalGenerationPoints;
	}

	public static void setTotalGenerationPoints(int totalGenerationPoints) {
		LyceenneMakerJ.totalGenerationPoints = totalGenerationPoints;
	}

	public static int getTotalSubjectPoints() {
		return totalSubjectPoints;
	}

	public static void setTotalSubjectPoints(int totalSubjectPoints) {
		LyceenneMakerJ.totalSubjectPoints = totalSubjectPoints;
	}

	public static int getTotalMainAbilities() {
		return totalMainAbilities;
	}

	public static void setTotalMainAbilities(int totalMainAbilities) {
		LyceenneMakerJ.totalMainAbilities = totalMainAbilities;
	}

	public static int getTotalSubjects() {
		return totalSubjects;
	}

	public static void setTotalSubjects(int totalSubjects) {
		LyceenneMakerJ.totalSubjects = totalSubjects;
	}
	
}
