/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 28 sept. 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package views;

import java.awt.FlowLayout;

import javax.swing.JComboBox;
import javax.swing.JTextField;

import controls.SaveAbilityActionListener;

/**
 * @author milena
 *
 */
public class AbilityEditPanel extends BaseEditPanel {

	private JTextField abilityName;
	private JComboBox associatedCharac;
	private JComboBox malus;
	/**
	 * Constructor
	 *
	 */
	public AbilityEditPanel() {
		super("Talents", "abilities.txt");
		editingPanel.setLayout(new FlowLayout());
		abilityName = new JTextField(15);
		editingPanel.add(abilityName);
		associatedCharac = new JComboBox();
		fillAssociatedCharacs();
		editingPanel.add(associatedCharac);
		malus = new JComboBox();
		fillMalus();
		editingPanel.add(malus);
		saveToListButton.addActionListener(new SaveAbilityActionListener(this));
	}
	
	/**
	 * Fills characteristics combo box.
	 *
	 */
	private void fillAssociatedCharacs()
	{
		associatedCharac.addItem("PHY");
		associatedCharac.addItem("DEX");
		associatedCharac.addItem("INT");
		associatedCharac.addItem("PER");
		associatedCharac.addItem("CHA");
		associatedCharac.addItem("SEN");
	}
	
	/**
	 * Fill malus combo box.
	 *
	 */
	private void fillMalus()
	{
		malus.addItem("0");
		malus.addItem("-1");
		malus.addItem("-2");
		malus.addItem("-3");
		malus.addItem("-4");
		malus.addItem("-5");
		malus.addItem("-6");
		malus.addItem("X");
	}

	public JTextField getAbilityName() {
		return abilityName;
	}

	public JComboBox getAssociatedCharac() {
		return associatedCharac;
	}

	public JComboBox getMalus() {
		return malus;
	}

}
