/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 11 mai 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package views;

import java.awt.GridLayout;

import javax.swing.BorderFactory;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JPanel;

import program.LyceenneMakerJ;
import controls.CharacsActionListener;

/**
 * Characteristics panel.
 * @author milena
 *
 */
public class CharacteristicsPanel extends JPanel {

	private JComboBox physics;
	private JComboBox dexterity;
	private JComboBox intelligence;
	private JComboBox perception;
	private JComboBox charisma;
	private JComboBox sensitivity;
	private JLabel totalCharacteristics;
	
	/**
	 * Constructor
	 */
	public CharacteristicsPanel() {
		super();
		this.setLayout(new GridLayout(4, 4, 5, 5));
		this.setBorder(BorderFactory.createTitledBorder("Caractéristiques"));
		
		CharacsActionListener charAc = new CharacsActionListener(this);
		
		physics = new JComboBox();
		initCharacsComboBox(physics, charAc);
		dexterity = new JComboBox();
		initCharacsComboBox(dexterity, charAc);
		intelligence = new JComboBox();
		initCharacsComboBox(intelligence, charAc);
		perception = new JComboBox();
		initCharacsComboBox(perception, charAc);
		charisma = new JComboBox();
		initCharacsComboBox(charisma, charAc);
		sensitivity = new JComboBox();
		initCharacsComboBox(sensitivity, charAc);
		
		totalCharacteristics = new JLabel(Integer.toString(LyceenneMakerJ.getTotalCharacteristicPoints()));
		
		this.add(new JLabel("PHYsique"));
		this.add(physics);
		this.add(new JLabel("DEXtérité"));
		this.add(dexterity);
		this.add(new JLabel("INTelligence"));
		this.add(intelligence);
		this.add(new JLabel("PERception"));
		this.add(perception);
		this.add(new JLabel("CHArisme"));
		this.add(charisma);
		this.add(new JLabel("SENsibilité"));
		this.add(sensitivity);
		this.add(new JLabel("Total points à repartir :"));
		this.add(totalCharacteristics);

	}
	
	/**
	 * Initiates a characteristics combo box
	 * @param combo the combo box to fill
	 */
	private void initCharacsComboBox(JComboBox combo, CharacsActionListener charAc)	{
		combo.setEditable(false);
		for (int i = 0; i <= 10; i++) {
			combo.addItem(Integer.toString(i));
		}
		combo.setSelectedItem("0");
		combo.addActionListener(charAc);
	}

	public JComboBox getCharisma() {
		return charisma;
	}

	public JComboBox getDexterity() {
		return dexterity;
	}

	public JComboBox getIntelligence() {
		return intelligence;
	}

	public JComboBox getPerception() {
		return perception;
	}

	public JComboBox getPhysics() {
		return physics;
	}

	public JComboBox getSensitivity() {
		return sensitivity;
	}

	public JLabel getTotalCharacteristics() {
		return totalCharacteristics;
	}
	
}
