/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 19 juil. 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package views;

import java.awt.FlowLayout;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JPanel;

import controls.EndEditActionListener;

/**
 * Window grouping all edit panels.
 * @author milena
 *
 */
public class EditWindow extends GenericWindow {

	/**
	 * Constructor
	 */
	public EditWindow() {
		super();
		JPanel contentPanel = (JPanel) this.getContentPane();
		contentPanel.setLayout(new GridLayout(4, 1));
		ProfileEditPanel profilePanel = new ProfileEditPanel();
		contentPanel.add(profilePanel);
		AbilityEditPanel abilityPanel = new AbilityEditPanel();
		contentPanel.add(abilityPanel);
		SubjectEditPanel subjectPanel = new SubjectEditPanel();
		contentPanel.add(subjectPanel);
		JPanel backPanel = new JPanel();
		backPanel.setLayout(new FlowLayout());
		JButton backButton = new JButton("Edition terminée, retour à Lycéenne Maker");
		backButton.addActionListener(new EndEditActionListener(this));
		backPanel.add(backButton);
		contentPanel.add(backPanel);
		this.setVisible(true);
	}

}
