/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 18 mai 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package views;

import java.awt.BorderLayout;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;
import javax.swing.JTextArea;

import controls.HistoryActionListener;
import controls.SaveActionListener;

/**
 * Fourth window of the program, containing history.
 * @author milena
 *
 */
public class FourthWindow extends GenericWindow {

	/**
	 * Constructor
	 *
	 */
	public FourthWindow() {
		super();
		JPanel contentPanel = (JPanel) this.getContentPane();
		contentPanel.setLayout(new BorderLayout());
		//history panel
		JPanel historyPanel = new JPanel();
		historyPanel.setLayout(new BorderLayout());
		historyPanel.setBorder(BorderFactory.createTitledBorder("Historique"));
		JTextArea historyTextArea = new JTextArea();
		historyTextArea.setLineWrap(true);
		historyPanel.add(historyTextArea, BorderLayout.CENTER);
		JButton registerButton = new JButton("Enregistrer l'historique");
		registerButton.addActionListener(new HistoryActionListener(historyTextArea));
		historyPanel.add(registerButton, BorderLayout.SOUTH);
		contentPanel.add(historyPanel, BorderLayout.CENTER);
		//save panel
		JPanel savePanel = new JPanel();
		savePanel.setLayout(new BorderLayout());
		JButton saveButton = new JButton("Sauvegarder la fiche");
		saveButton.addActionListener(new SaveActionListener());
		savePanel.add(saveButton, BorderLayout.EAST);
		contentPanel.add(savePanel, BorderLayout.SOUTH);
		this.setVisible(true);
	}

}
