/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 27 sept. 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package views;

import java.awt.FlowLayout;

import javax.swing.JComboBox;
import javax.swing.JTextField;

import models.Ability;
import program.LyceenneMakerJ;
import controls.SaveProfileActionListener;

/**
 * @author milena
 *
 */
public class ProfileEditPanel extends BaseEditPanel {

	private JTextField profileName;
	private JComboBox profileType;
	private JComboBox ability;
	private JComboBox abilityModifier;
	
	/**
	 * Constructor
	 *
	 */
	public ProfileEditPanel() {
		super("Nouveau profil", "profiles.txt");
		editingPanel.setLayout(new FlowLayout());
		profileName = new JTextField(15);
		editingPanel.add(profileName);
		profileType = new JComboBox();
		fillProfilesTypes();
		editingPanel.add(profileType);
		ability = new JComboBox();
		fillAbilities();
		editingPanel.add(ability);
		abilityModifier = new JComboBox();
		fillAbilityModifiers();
		editingPanel.add(abilityModifier);
		saveToListButton.addActionListener(new SaveProfileActionListener(this));
	}
	
	/**
	 * Fills the profiles types combo box.
	 *
	 */
	private void fillProfilesTypes()	{
		profileType.addItem("Positif");
		profileType.addItem("Négatif");
		profileType.addItem("Neutre avantageux");
		profileType.addItem("Neutre désavantageux");
	}
	
	/**
	 * Fills the abilities combo box from the config.
	 *
	 */
	private void fillAbilities()	{
		ability.addItem("");
		for(Ability ab : LyceenneMakerJ.getConfig().getAbilities())	{
			ability.addItem(ab.getName());
		}
	}
	
	/**
	 * Fills the ability modifiers combo box.
	 *
	 */
	private void fillAbilityModifiers()	{
		abilityModifier.addItem("");
		abilityModifier.addItem("1");
		abilityModifier.addItem("-1");
	}

	public JComboBox getAbility() {
		return ability;
	}

	public JComboBox getAbilityModifier() {
		return abilityModifier;
	}

	public JTextField getProfileName() {
		return profileName;
	}

	public JComboBox getProfileType() {
		return profileType;
	}

}
