/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 8 nov. 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package views;

import java.awt.FlowLayout;

import javax.swing.JComboBox;
import javax.swing.JTextField;

import models.Ability;
import program.LyceenneMakerJ;
import controls.SaveSubjectActionListener;

/**
 * @author milena
 *
 */
public class SubjectEditPanel extends BaseEditPanel {

	private JTextField subjectName;
	private JComboBox associatedAbility;
	
	/**
	 * Constructor
	 *
	 */
	public SubjectEditPanel() {
		super("Matières scolaires", "subjects.txt");
		editingPanel.setLayout(new FlowLayout());
		subjectName = new JTextField(15);
		editingPanel.add(subjectName);
		associatedAbility = new JComboBox();
		fillAbilities();
		editingPanel.add(associatedAbility);
		saveToListButton.addActionListener(new SaveSubjectActionListener(this));
	}
	
	/**
	 * Fills associated abilities
	 *
	 */
	private void fillAbilities()	{
		associatedAbility.addItem("");
		for(Ability ab : LyceenneMakerJ.getConfig().getAbilities())	{
			associatedAbility.addItem(ab.getName());
		}
	}

	public JComboBox getAssociatedAbility() {
		return associatedAbility;
	}

	public JTextField getSubjectName() {
		return subjectName;
	}

}
