/**
 * Lyceenne Maker J, created by Claire "Milena" Billaud
 * 14 mai 09
 * Copyright (c) 2009, Claire "Milena" Billaud
 * All rights reserved.
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 *     * Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *     * Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *     * Neither the name of Claire Billaud, Milena, nor the
 *       names of other contributors may be used to endorse or promote products
 *       derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE AUTHOR AND CONTRIBUTORS BE LIABLE FOR ANY
 * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
package views;

import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

import controls.Next3ActionListener;
import controls.NumberSubjectsActionListener;

/**
 * Third window of the program, containing subjects.
 * @author milena
 *
 */
public class ThirdWindow extends GenericWindow {
	
	private SubjectsListPanel subjectsListPanel;

	/**
	 * Constructor
	 */
	public ThirdWindow() {
		super();
		JPanel contentPanel = (JPanel) this.getContentPane();
		contentPanel.setLayout(new BorderLayout());
		//number subjects panel
		JPanel numberSubjectsPanel = new JPanel();
		numberSubjectsPanel.setLayout(new FlowLayout());
		numberSubjectsPanel.setBorder(BorderFactory.createTitledBorder("Nombre de matières"));
		JComboBox numberSubjectsComboBox = new JComboBox();
		for (int i = 7; i <= 12; i++) {
			numberSubjectsComboBox.addItem(Integer.toString(i));
		}
		numberSubjectsPanel.add(new JLabel("Nombre de matières :"));
		numberSubjectsPanel.add(numberSubjectsComboBox);
		contentPanel.add(numberSubjectsPanel, BorderLayout.NORTH);
		//subjects list panel
		subjectsListPanel = new SubjectsListPanel();
		contentPanel.add(subjectsListPanel, BorderLayout.CENTER);
		numberSubjectsComboBox.addActionListener(new NumberSubjectsActionListener(subjectsListPanel));
		//next button
		JPanel nextPanel = new JPanel();
		nextPanel.setLayout(new BorderLayout());
		JButton nextButton = new JButton("Suivant");
		nextButton.addActionListener(new Next3ActionListener(this));
		nextPanel.add(nextButton, BorderLayout.EAST);
		contentPanel.add(nextPanel, BorderLayout.SOUTH);
		this.setVisible(true);
	}

	public SubjectsListPanel getSubjectsListPanel() {
		return subjectsListPanel;
	}

}
